Bug 658982 - (CVE-2010-3615) CVE-2010-3615 bind: allow-query processed incorrectly allowing access to authoritative zones that should be restricted
CVE-2010-3615 bind: allow-query processed incorrectly allowing access to auth...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20101201,reported=20101201,sou...
: Security
Depends On: 658987
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-01 13:23 EST by Vincent Danen
Modified: 2010-12-15 03:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-13 15:06:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2010-12-01 13:23:14 EST
A flaw was found in BIND where the "allow-query" in the "options" or "view" statements to restrict access to authoritative zones had no effect [1].

The advisory states:

"When named is running as an authoritative server for a zone and receives a query for that zone data, it first checks for allow-query acls in the zone statement, then in that view, then in global options. If none of these exist, it defaults to allowing any query (allow-query {"any"};).

With this bug, if the allow-query is not set in the zone statement, it failed to check in view or global options and fell back to the default of allowing any query. This means that queries that the zone owner did not wish to allow were incorrectly allowed.

This bug doesn't affect allow-recursion or allow-query-cache acls, since they are not relevant to a zone for which the server is authoritative."

The upstream advisory [2] notes that this affects BIND version 9.7.2-P2 and is corrected in 9.7.2-P3.

[1] http://www.isc.org/announcement/guidance-regarding-dec-1st-2010-security-advisories
[2] http://www.isc.org/software/bind/advisories/cve-2010-3615
Comment 1 Vincent Danen 2010-12-01 13:45:40 EST
Created bind tracking bugs for this issue

Affects: fedora-14 [bug 658987]
Comment 2 Tomas Hoger 2010-12-02 14:37:07 EST
Statement:

Not vulnerable. This issue did not affect the versions of bind as shipped with Red Hat Enterprise Linux 4, 5, or 6.
Comment 3 Jaylin Zhou 2010-12-14 22:41:40 EST
I think the type should be NOTABUG.
Comment 4 Tomas Hoger 2010-12-15 03:26:26 EST
The issue was addressed in Fedora 14, which is one of the products using Red Hat Bugzilla for tracking:

http://lists.fedoraproject.org/pipermail/package-announce/2010-December/051963.html

We tend to use CLOSED:ERRATA when at least one product was affected and fixed.

Note You need to log in before you can comment on or make changes to this bug.